=== debian/changelog ===
libgnatcoll-db (25.0.0-2build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:46 +0200

libgnatcoll-db (25.0.0-2build1) questing; urgency=medium

  * No-change with SOURCE_DATE_EPOCH fixed in libgnatprj-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 22:07:02 +0000

libgnatcoll-db (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 09:42:03 +0100

libgnatcoll-db (25.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-14 for experimental.
  * Fix and clone upstream git URLs, enable pristine-tar.
  * Remove work-around for #971018 on mipsel.
  * Enable salsa continuous integration via debian/salsa-ci.yml.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Feb 2025 10:45:26 +0000

libgnatcoll-db (23.0.0-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
    Closes: #1064745.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:46:00 +0100

libgnatcoll-db (23.0.0-5) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * autopkgtest: refine dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Dec 2023 19:02:15 +0000
